Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005583 [JEDI VCL] 00 JVCL Components feature N/A 2011-05-20 15:45 2011-09-21 14:10
Reporter lr83 View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005583: [TJvTracker] Add properties and correct bug
Description   - TrackColor property become TrackColorStart
  - Added TrackColorEnd property : now you can have a track color from TrackColorStart to TrackColorEnd
  - Added Step property : now track can go step by step
  - Added the action of the keyboard arrow
  - Added some inherited properties
  - bug corrected : add font property to the draw canvas
  - Add draw min, max values and introduce event property OnShowMinMaxValue
Additional Information
Tags No tags attached.
Attached Files zip file icon JvTracker.zip [^] (5,965 bytes) 2011-05-20 15:45
zip file icon jvtracker_sample.zip [^] (7,770 bytes) 2011-06-08 16:45

- Relationships

-  Notes
(0018686)
obones (administrator)
2011-06-08 16:12

Can you provide the zipped sources of a sample application showing the use of these new properties.
Also, it would be much easier if the changes to JvTracker.pas were submitted in a patch file as created by TortoiseSVN
(0018696)
lr83 (reporter)
2011-06-08 16:48

See sample of the new properties, very simple.
For TortoiseSVN, I don't known this program but it's very easy to see the change with WinMerge for example
(0018700)
obones (administrator)
2011-06-08 17:42

Yes, I know it's easy, but considering that there might have been changes in between, it's easier for me if I get a diff/patch file. Anyway, I'll see if I can manage.
(0018736)
AHUser (developer)
2011-06-11 11:31

Added/Fixed in svn revision 13059.

- Issue History
Date Modified Username Field Change
2011-05-20 15:45 lr83 New Issue
2011-05-20 15:45 lr83 File Added: JvTracker.zip
2011-06-07 18:01 obones Status new => acknowledged
2011-06-08 16:12 obones Note Added: 0018686
2011-06-08 16:12 obones Status acknowledged => feedback
2011-06-08 16:45 lr83 File Added: jvtracker_sample.zip
2011-06-08 16:48 lr83 Note Added: 0018696
2011-06-08 17:41 obones Status feedback => acknowledged
2011-06-08 17:42 obones Note Added: 0018700
2011-06-11 11:10 AHUser Assigned To => AHUser
2011-06-11 11:31 AHUser Note Added: 0018736
2011-06-11 11:31 AHUser Status acknowledged => resolved
2011-06-11 11:31 AHUser Fixed in Version => Daily / SVN
2011-06-11 11:31 AHUser Resolution open => fixed
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker